# Kronos for Fandom[<img src="https://translate.wikibot.de/widgets/wiki-bot/-/svg-badge.svg" alt="Translation status" align="right" />](#translations)[<img src="https://github.com/Markus-Rost/discord-wiki-bot/workflows/Node.js CI/badge.svg" alt="Node.js CI" align="right" />](https://github.com/Markus-Rost/discord-wiki-bot/actions)
[<img src="/dashboard/src/icon.png" alt="Kronos for Fandom" align="right" width="200" />](https://discord.com/oauth2/authorize?client_id=461189216198590464&permissions=939904064&scope=bot+applications.commands)

**Kronos for Fandom** is a bot for [Discord](https://discord.com/) with the purpose to easily link and search [MediaWiki](https://www.mediawiki.org/wiki/MediaWiki) sites like [Wikipedia](https://www.wikipedia.org/) and [Fandom](https://www.fandom.com/) wikis. **Kronos for Fandom** shows short descriptions and additional info about pages and is able to resolve redirects and follow interwiki links.

**Kronos for Fandom** has translations for Bengali, German, English, Spanish, French, Hindi, Korean, Polish, Brazilian Portuguese, Russian, Swedish, Turkish, Simplified Chinese and Traditional Chinese.

[Use this link to invite **Kronos for Fandom** to your Discord server.](https://discord.com)

[Change the server settings for **Kronos for Fandom** using the dashboard.](https://settings.wikibot.de/)

Support server: [https://discord.gg/](https://discord.gg/)

#### Table of Contents
* [Setup](#setup)
* [Commands](#commands)
  * [Admin](#admin)
* [User Verification](#user-verification)
* [Recent Changes Webhook](#recent-changes-webhook)

## Setup
After [inviting](https://discord.com) **Kronos for Fandom** to your server you need to set the wiki you want to search by default. You do this with the `!wiki settings` command or by using the [dashboard](https://settings.wikibot.de/).
* Change the wiki with `!wiki settings wiki <url>`
  * Example: `!wiki settings wiki https://pinewood.fandom.com/wiki/`
* Change the language with `!wiki settings lang <language>`
  * Example: `!wiki settings lang German`

## Commands
For a full list with all commands use `!wiki help`

| Command | Description |
| ------- | ----------- |
| `!wiki <search term>` | **Kronos for Fandom** will answer with a link to a matching article in the wiki. |
| `!wiki !<wiki> <search term>` | **Kronos for Fandom** will answer with a link to a matching article in the named Wikipedia: `https://<wiki>.wikipedia.org/w/` |
| `!wiki ?<wiki> <search term>` | **Kronos for Fandom** will answer with a link to a matching article in the named Fandom wiki: `https://<wiki>.fandom.com/` |
| `!wiki !!<wiki> <search term>` | **Kronos for Fandom** will answer with a link to a matching article in the named MediaWiki project. Example: `!wiki !!en.wikipedia.org Cookie` |
| `!wiki User:<username>` | **Kronos for Fandom** will show some information about the user. |
| `!wiki diff <diff> [<oldid>]` | **Kronos for Fandom** will answer with a link to the diff in the wiki. |
| `!wiki diff <page name>` | **Kronos for Fandom** will answer with a link to the last diff on the article in the wiki. |
| `!wiki random` | **Kronos for Fandom** will answer with a link to a random page in the wiki. |
| `!wiki overview` | **Kronos for Fandom** will show some information and statistics about the wiki. |
| `!wiki discussion <search term>` | **Kronos for Fandom** will answer with a link to a matching discussion thread in the Fandom wiki. |
| `!wiki discussion post <search term>` | **Kronos for Fandom** will answer with a link to a matching discussion post in the Fandom wiki. |
| `!wiki info` | **Kronos for Fandom** will introduce himself. |
| `!wiki help` | **Kronos for Fandom** will list all the commands that he understands. |
| `!wiki help <bot command>` | **Kronos for Fandom** will explain the command. |
| `!wiki help admin` | **Kronos for Fandom** will list all administrator commands. |
| `!wiki test` | If **Kronos for Fandom** is active, he will answer! Otherwise not. |

If you got an unwanted response, you can react with 🗑️ (`:wastebasket:`) to his message and **Kronos for Fandom** will delete it.

### Admin
For a full list with all administrator commands use `!wiki help admin`

| Command | Description |
| ------- | ----------- |
| `!wiki help admin` | **Kronos for Fandom** will list all administrator commands. |
| `!wiki settings` | **Kronos for Fandom** will change the settings for the server. |
| `!wiki verification` | **Kronos for Fandom** will change the wiki verifications used by the `!wiki verify` command. |
| `!wiki rcscript` | **Kronos for Fandom** will change the recent changes webhook. |
| `!wiki pause @Kronos-for-Fandom` | **Kronos for Fandom** will ignore all commands on this server, except a few admin commands. |

Administators can also use the [dashboard](https://settings.wikibot.de/) to change the bot settings.

## User Verification
Using the `!wiki verify <wiki username>` command, users are able to verify themselves as a specific wiki user by using the Discord field on their wiki profile. If the user matches and user verifications are set up on the server, **Kronos for Fandom** will give them the roles for all verification entries they matched.

Using the `!wiki verification` command, admins can add up to 10 verification entries on a server. Every verification entry allows for multiple restrictions on when a user should match the verification.
* Channel to use the `!wiki verify` command in.
* Role to get when matching the verification entry.
* Required edit count on the wiki to match the verification entry.
* Required user group to be a member of on the wiki to match the verification entry.
* Required account age in days to match the verification entry.
* Whether the Discord users nickname should be set to their wiki username when they match the verification entry.

See the [admin commands](#admin) or `!wiki help verification` on how to change the wiki verification entries on the server.

## Recent Changes Webhook
**Kronos for Fandom** is able to run a recent changes webhook based on [RcGcDw](https://gitlab.com/piotrex43/RcGcDw) by using the `!wiki rcscript` command. The recent changes can be displayed in compact text messages with inline links or embed messages with edit tags and category changes.

Requirements to add a recent changes webhook:
* The wiki needs to run on [MediaWiki 1.30](https://www.mediawiki.org/wiki/MediaWiki_1.30) or higher.
* The system message `MediaWiki:Custom-RcGcDw` needs to be set to the Discord server id.

## Translations
[<img src="https://translate.wikibot.de/widgets/wiki-bot/-/multi-auto.svg" alt="Translation status" width="100%" />](https://translate.wikibot.de/engage/wiki-bot/?utm_source=widget)

## Bot Lists
Help other users find Kronos for Fandom by voting on bot lists:

[<img src="https://blist.xyz/api/v2/bot/461189216198590464/widget" alt="blist.xyz" height="150px" />](https://blist.xyz/bot/461189216198590464)
[<img src="https://bots.ondiscord.xyz/bots/461189216198590464/embed?theme=dark&showGuilds=true" alt="bots.ondiscord.xyz" height="150px" />](https://bots.ondiscord.xyz/bots/461189216198590464)
[<img src="https://discord.boats/api/widget/461189216198590464" alt="discord.boats" height="150px" />](https://discord.boats/bot/461189216198590464)
[<img src="https://discords.com/bots/api/bot/461189216198590464/widget?theme=dark" alt="discords.com" height="150px" />](https://discords.com/bots/bot/461189216198590464)
[<img src="https://infinitybotlist.com/bots/461189216198590464/widget?size=medium" alt="infinitybotlist.com" height="150px" />](https://infinitybotlist.com/bots/461189216198590464)
[<img src="https://top.gg/api/widget/461189216198590464.svg" alt="top.gg" height="150px" />](https://top.gg/bot/461189216198590464)
[<img src="https://voidbots.net/api/embed/461189216198590464?theme=dark" alt="voidbots.net" height="150px" />](https://voidbots.net/bot/461189216198590464)

## Other
The **Kronos for Fandom** logo has been AI generated using [Midjourney](https://www.midjourney.com/home/) and cleaned up by [Shaun Ryken](https://shaunryken.art/).

[Privacy Policy](PRIVACY.md#privacy-policy)
